<template>
    <div class="ht-base-message-demo">
        <ht-base-button type="primary" @click="info">显示普通提示</ht-base-button>
        <ht-base-button type="success" @click="success">显示成功提示</ht-base-button>
        <ht-base-button type="warning" @click="warning">显示警告提示</ht-base-button>
        <ht-base-button type="error" @click="error">显示错误提示</ht-base-button>
    </div>
</template>

<script>
    export default {
        name: 'HtBaseMessageDemo',
        methods: {
            info() {
                this.$HtBaseMessage.info('这是一条普通的提示');
            },
            success() {
                this.$HtBaseMessage.success('这是一条成功的提示');
            },
            warning() {
                this.$HtBaseMessage.warning('这是一条警告的提示');
            },
            error() {
                this.$HtBaseMessage.error('对方不想说话，并像你抛出个异常');
            }
        }
    }
</script>
<style>
    .ht-base-message-demo {

    }
</style>

